package signals;


public class AsyncSignal extends Signals
{
	private static final long serialVersionUID = 1L;
	
	private int nb_points = 100;
  
	public AsyncSignal(String name)
	{
		this.name = name;
		this.clockDomainId = this.id;
		this.widthUnit = 20;
	}
  
	public AsyncSignal(String name, int period)
	{
		setId();
		this.name = name;
		this.clockDomainId = this.id;
		this.widthUnit = period;
		for (int i = 0; i < nb_points; i++) // 500
		{
			this.wave[i] = 0;
		}
	}
  
	public void generate(boolean beginOnRisingEdge) {}
	
}
